Download it now!
Bug 121283 - KDE5: LibreOffice has different fonts for menu and in dialogs/Sidebar
Summary: KDE5: LibreOffice has different fonts for menu and in dialogs/Sidebar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 122133 123141 (view as bug list)
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-11-08 16:51 UTC by Roman Kuznetsov
Modified: 2019-02-04 12:03 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
KDE options for fonts (OS) (68.36 KB, image/png)
2018-11-08 17:00 UTC, Roman Kuznetsov
Details
Start Center (206.68 KB, image/png)
2018-11-08 17:00 UTC, Roman Kuznetsov
Details
Dialog 1 (154.92 KB, image/png)
2018-11-08 17:01 UTC, Roman Kuznetsov
Details
Dialog 2 (243.46 KB, image/png)
2018-11-08 17:01 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2018-11-08 16:51:45 UTC
Description:
KDE5: LibreOffice has different fonts for menu and in dialogs/Sidebar

Steps to Reproduce:
1. See at sreenshots from attach
2.
3.

Actual Results:
in GUI there are differetn fonts for kde5 backend

Expected Results:
in GUI there is only one font for kde5 backend


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Roman Kuznetsov 2018-11-08 17:00:10 UTC
Created attachment 146449 [details]
KDE options for fonts (OS)
Comment 2 Roman Kuznetsov 2018-11-08 17:00:42 UTC
Created attachment 146451 [details]
Start Center
Comment 3 Roman Kuznetsov 2018-11-08 17:01:11 UTC
Created attachment 146452 [details]
Dialog 1
Comment 4 Roman Kuznetsov 2018-11-08 17:01:27 UTC
Created attachment 146453 [details]
Dialog 2
Comment 5 Jan-Marek Glogowski 2018-11-08 17:07:18 UTC
Maybe a result of the native menus, which are rendered by Qt instead of cairo and the rest of the UI.

What happens, if you start with SAL_USE_VCLPLUGIN=qt5?
Comment 6 Roman Kuznetsov 2018-11-08 17:43:51 UTC
(In reply to Jan-Marek Glogowski from comment #5)
> Maybe a result of the native menus, which are rendered by Qt instead of
> cairo and the rest of the UI.
> 
> What happens, if you start with SAL_USE_VCLPLUGIN=qt5?

it gives same font for menu and for dialogs (my Noto Sans from OS properties). But very very pixelize KJ icons
Comment 7 Michael Weghorn 2018-11-08 23:22:52 UTC
Reproduced with:

Version: 6.2.0.0.alpha1+
Build ID: 2c614b4b2537997aece7ba0aa7ecd38e55fcffaa
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

I had realized the different appearance of the font e.g. in the menu and in the context menus before, but haven't created a bug report by myself so far. It actually looks somewhat inconsistent.
Comment 8 Roman Kuznetsov 2018-12-16 16:41:47 UTC
*** Bug 122133 has been marked as a duplicate of this bug. ***
Comment 9 Bernhard Rosenkraenzer 2018-12-31 13:43:24 UTC
Still happens on 6.2.0.1
Comment 10 RGB 2018-12-31 14:03:03 UTC
(In reply to Bernhard Rosenkraenzer from comment #9)
> Still happens on 6.2.0.1

Please, don't change the "version:" that field indicates where the problem was found, not the last confirmed version that still present it (reverting to 6.2.0.0.alpha1+)

And yes, it's still happening in 6.2.0.1 ;)
Comment 11 Buovjaga 2019-01-29 13:16:13 UTC
Fixed by https://gerrit.libreoffice.org/#/c/67059/
I confirmed with a fresh build.
Comment 12 Michael Weghorn 2019-01-29 14:08:27 UTC
Verified with

Version: 6.3.0.0.alpha0+
Build ID: 2660f132cc98c0fe14d5055a91a7cf126d5139f6
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

Thanks a lot!
Comment 13 Katarina Behrens (Inactive) 2019-02-04 12:03:43 UTC
*** Bug 123141 has been marked as a duplicate of this bug. ***